> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Build Status

> Get the status of an image build.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/images/build/{build_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/images/build/{build_id}:
    get:
      tags:
        - Images
      summary: Get Build Status
      description: Get the status of an image build.
      operationId: get_build_status_api_v1_images_build__build_id__get
      parameters:
        - name: build_id
          in: path
          required: true
          schema:
            type: string
            title: Build Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuildStatusResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    BuildStatusResponse:
      properties:
        id:
          type: string
          title: Id
          description: Public identifier for the logical build group
        imageName:
          type: string
          title: Imagename
          description: Name of the image being built
        imageTag:
          type: string
          title: Imagetag
          description: Tag of the image being built
        status:
          $ref: '#/components/schemas/ImageBuildStatusEnum'
          description: Aggregated build-group status
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: Timestamp when the build was created
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
          description: Timestamp when the build started
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
          description: Timestamp when the build completed
        artifacts:
          items:
            $ref: '#/components/schemas/BuildArtifactStatusResponse'
          type: array
          title: Artifacts
          description: Artifact rows associated with this build group
      type: object
      required:
        - id
        - imageName
        - imageTag
        - status
        - createdAt
      title: BuildStatusResponse
      description: Response model for a logical build group.
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ImageBuildStatusEnum:
      type: string
      enum:
        - PENDING
        - UPLOADING
        - BUILDING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: ImageBuildStatusEnum
    BuildArtifactStatusResponse:
      properties:
        id:
          type: string
          title: Id
          description: Internal identifier for this artifact build row
        artifactType:
          $ref: '#/components/schemas/ImageBuildArtifactTypeEnum'
          description: Artifact produced by this build row
          default: CONTAINER_IMAGE
        status:
          $ref: '#/components/schemas/ImageBuildStatusEnum'
          description: Current artifact status
        fullImagePath:
          anyOf:
            - type: string
            - type: 'null'
          title: Fullimagepath
          description: Output reference for this built artifact
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
          description: Error message if build failed
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: Timestamp when the artifact row was created
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
          description: Timestamp when the artifact row started
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
          description: Timestamp when the artifact row completed
      type: object
      required:
        - id
        - status
        - createdAt
      title: BuildArtifactStatusResponse
      description: Status for one artifact row within a build group.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    ImageBuildArtifactTypeEnum:
      type: string
      enum:
        - CONTAINER_IMAGE
        - VM_SANDBOX
      title: ImageBuildArtifactTypeEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````